/*
 * Copyright (c) 1989-1994 University of Rochester
 * Department of Electrical Engineering
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * at the University of Rochester.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */


#define	CONFIGFILE	"./lb.conf"
#define	RSH		"/usr/ucb/rsh"

#define loadavg(sp,n)  (((float) (sp)->avenrun[n]) / 256.0)

#define MAXLINE		255		/* largest line in config file      */
#define MAXSHBUF	10240		/* max size of shell buffer         */
#define MAXHOST		64		/* longest allowable hostname       */
#define MAXFNAME	255		/* max length of a file name        */
#define NUMHOSTS	64		/* {Max} Number of hosts available  */

/*
 * Optimum value for MAXFORKS is the maximum number of machines 
 * that are down, plus at least 1
 *
 */
#define MAXFORKS	10		/* Max # of forks allowed */

#define TIMEOUT		245		/* seconds to timeout */

#if u3b || u3b5 || sun
#define MAXFLOAT	((float)3.40282346638528860e+38)
#endif

#if pdp11 || vax
#define MAXFLOAT	((float)1.701411733192644299e+38)
#endif

#ifndef MAXFLOAT
#define MAXFLOAT	((float)1.701411733192644299e+38)
#endif

#ifndef FALSE
#define FALSE		0
#endif

#ifndef TRUE
#define TRUE		1
#endif

typedef int boolean;
